Bug 1103761 - cloud-init fails in rawhide (something with the selinux matchpathcon bits)
Summary: cloud-init fails in rawhide (something with the selinux matchpathcon bits)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cloud-init
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-02 13:36 UTC by Matthew Miller
Modified: 2014-07-17 04:30 UTC (History)
7 users (show)

Fixed In Version: cloud-init-0.7.2-10.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 04:30:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Miller 2014-06-02 13:36:53 UTC
Here's the traceback from the log:

[   15.948605] cloud-init[336]: Traceback (most recent call last):
[   15.956211] cloud-init[336]: File "/usr/bin/cloud-init", line 618, in <module>
[   15.961378] cloud-init[336]: sys.exit(main())
[   15.964452] cloud-init[336]: File "/usr/bin/cloud-init", line 614, in main
[   15.968258] cloud-init[336]: get_uptime=True, func=functor, args=(name, args))
[   15.971548] cloud-init[336]: File "/usr/lib/python2.7/site-packages/cloudinit/util.py", line 1875, in log_time
[   15.977210] cloud-init[336]: ret = func(*args, **kwargs)
[   15.983979] cloud-init[336]: File "/usr/bin/cloud-init", line 448, in status_wrapper
[   15.988982] cloud-init[336]: util.ensure_dirs((data_d, link_d,))
[   15.992560] cloud-init[336]: File "/usr/lib/python2.7/site-packages/cloudinit/util.py", line 1253, in ensure_dirs
[   15.996234] cloud-init[336]: ensure_dir(d, mode)
[   16.003662] cloud-init[336]: File "/usr/lib/python2.7/site-packages/cloudinit/util.py", line 1289, in ensure_dir
[   16.008637] cloud-init[336]: os.makedirs(path)
[   16.012090] cloud-init[336]: File "/usr/lib/python2.7/site-packages/cloudinit/util.py", line 165, in __exit__
[   16.016105] cloud-init[336]: self.selinux.restorecon(path, recursive=self.recursive)
[   16.020177] cloud-init[336]: File "/usr/lib64/python2.7/site-packages/selinux/__init__.py", line 97, in restorecon
[   16.024565] cloud-init[336]: for fname in fnames]), None)
[   16.027695] cloud-init[336]: File "/usr/lib64/python2.7/posixpath.py", line 238, in walk
[   16.031735] cloud-init[336]: func(arg, top, names)
[   16.035585] cloud-init[336]: File "/usr/lib64/python2.7/site-packages/selinux/__init__.py", line 97, in <lambda>
[   16.041180] cloud-init[336]: for fname in fnames]), None)
[   16.045793] cloud-init[336]: File "/usr/lib64/python2.7/site-packages/selinux/__init__.py", line 87, in restorecon
[   16.054769] cloud-init[336]: status, context = matchpathcon(path, mode)
[   16.060361] cloud-init[336]: OSError: [Errno 2] No such file or directory


This is with current rawhide, so 0.7.5-2.fc21

Comment 1 Fedora Update System 2014-06-09 20:30:35 UTC
cloud-init-0.7.2-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cloud-init-0.7.2-10.fc20

Comment 2 Fedora Update System 2014-06-09 20:32:23 UTC
cloud-init-0.7.2-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cloud-init-0.7.2-10.fc19

Comment 3 Fedora Update System 2014-06-11 16:24:38 UTC
Package cloud-init-0.7.2-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cloud-init-0.7.2-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7238/cloud-init-0.7.2-10.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-07-17 04:28:29 UTC
cloud-init-0.7.2-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-07-17 04:30:59 UTC
cloud-init-0.7.2-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.